<?
include 'connect.php';
include 'head.php';

$set['title']='Настройки - Смена ника';
if(!$u){header ("Location: page.php");}
if ($u['id'] and $u['money']<=100)
{
echo "Извени ".$u['login']." ";
echo "но сменить ник ты не можешь пока не наберешь <b>100</b> монет <br/>У вас <b>$u[money]</b> баллов\n";
include 'foot.php';
}
if (isset($_POST['save'])){
if (isset($_POST['name']))
{


if ($u['id'] and $u['money']<=99)
{
msg('У вас нету 100 монет :( естественно вы не сможете изменить себе ник');
}
else
{
$login=($_POST['name']);

   if (empty($login)){
   echo 'Не введён Логин!<br/>'; $error = '1';
   } else {
	  if (strlen($login) < 3 || strlen($login) > 15){
      echo 'Недопустимая длина Логина (Не более 15 символов и не менее 3)<br />'; $error = '1';
	  } else {
         if (preg_match('/^([a-z0-9\-\@\*\(\)\?\!\~\_\=\[\]]{3,20})$/i',$login)){
         } else {
		echo 'Недопустимые символы в Логине!<br/>'; $error = '1';
		}
	  }
   }
 if (empty($error)){
mysql_query("UPDATE `users` SET `money` = '".($u['money']-100)."' WHERE `id` = '$u[id]' LIMIT 1");

mysql_query("UPDATE `users` SET `login` = '".$login."' WHERE `id` = '$u[id]' LIMIT 1");
echo "Ник успешно изменен";
include 'foot.php';
}
}
}
}
if(($_GET['okey']))
{
echo "<font color='green'><b>Изменение ника</b></font></br>";
echo "</br>Изменение ника стоит <font color='green'><b>100</b></font> монет";
echo "</br>У вас на счету:";
if($u['money']!=0)
{
echo "<font color='green'><b> ".$u['money']." монет</b></font>";
}
else
{
echo "<font color='red'><b> ".$u['money']." монет</b></font>";
}
echo "<div class='title'><a href='/balanse.php?'>Пополнить счет</a></div>";
echo '<span style="color:darkblue">Тщательно выбирайте ник, его нельзя будет изменить.</span></br>';
echo "</br><form method='post' action='?$passgen'>\n";
echo"Введите желаемый ник:<br />";
echo"<input type='text' name='name' value='' />";
echo "<input type='submit' name='save' value='OK' />\n";
echo "</form>\n";
echo "(От 4 до 15 символов и без русских букв!)";
include 'foot.php';
}
else
{
echo "</div>";
echo '<div class="action"><span style="color:black">Администрация ViSiTi.Ru против изменения ников, т.к. это хорошая лазейка для мошенников. При регистрации мы предупреждали, что изменение ника будет невозможно.<br>По многочисленным просьбам обитателей, мы все же сделали это возможным. Однако, во избежание разных злоупотреблений, стоимость этой услуги установлена достаточно высокой.<br>Изменение ника стоит <span style="color:green"><b>100</b></span> монет.<br>Внимание! При изменении ника все ваши контакты, комментарии и файлы останутся при вас</b>!<br><br><a href="smena.php?okey=1"><b>Да, я хочу изменить свой ник</b></a></span></div>';
include 'foot.php';
}
?>